Samva
Samva
DashboardAPISamva DocumentationQuickstart GuideAuthentication

Api referenceVoice

Assign voice phone number

POST
/voice/numbers/assign

Authorization

apiKey
X-API-Key<token>

API key for authentication

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://samva.app/api/v1/voice/numbers/assign" \  -H "Content-Type: application/json" \  -d '{    "agentId": "bc309ecf-5f66-4057-93c5-6611cc9cb7b2",    "phoneNumberId": "8e9ce3fb-4d22-4fe3-baa7-b7892dd942d7"  }'
{
  "id": "string",
  "phoneNumber": "string",
  "friendlyName": "string",
  "capabilities": {
    "sms": true,
    "mms": true,
    "voice": true
  },
  "numberType": "local",
  "country": "string",
  "isDefault": true,
  "routingTags": [
    "string"
  ],
  "status": "string",
  "createdAt": "2019-08-24T14:15:22Z"
}
agentId*string
Formatuuid
phoneNumberId*string
Formatuuid